Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 1420708 - Stable bond slaves ordering based on the device name
Stable bond slaves ordering based on the device name
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: NetworkManager (Show other bugs)
7.3
Unspecified Unspecified
unspecified Severity urgent
: rc
: ---
Assigned To: Beniamino Galvani
Desktop QE
Ioanna Gkioka
:
: 1387506 (view as bug list)
Depends On:
Blocks: 1411731 vdsm_config_NetworkMgr_to_be_passive 1367261 1393481 1443347
  Show dependency treegraph
 
Reported: 2017-02-09 05:57 EST by Edward Haas
Modified: 2018-02-01 01:40 EST (History)
17 users (show)

See Also:
Fixed In Version: NetworkManager-1.8.0-0.4.rc1.el7
Doc Type: Release Note
Doc Text:
*NetworkManager* now supports ordering bond slaves based on device names Previously, the existing order of activation for slave connections could cause problems determining the MAC address of the master interface. This update adds more predictable ordering based on device names. You can enable the new ordering using the `slaves-order=name` setting in *NetworkManager* configuration. Note that the new ordering is disabled by default and must be explicitly enabled.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-01 05:22:07 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 2715401 None None None 2018-02-01 01:40 EST
Red Hat Product Errata RHSA-2017:2299 normal SHIPPED_LIVE Moderate: NetworkManager and libnl3 security, bug fix and enhancement update 2017-08-01 08:40:28 EDT

  None (edit)
Description Edward Haas 2017-02-09 05:57:43 EST
Description of problem:
The order in which slaves are attached to a bond is currently unstable, causing some inconsistent behaviour that affects the bond mac address.
In order to try and be consistent and in sync with initscripts logic, it is suggested here to order the slaves attachment by the device name alphabetically.

The alternative of fixing the mac address is not always suitable, especially when the control of devices may be transferred from NM to other controllers (like in the current RHV agent case) and the complexity introduced to the NM user, which needs in such a case to manage these mac addresses.
Comment 2 Yaniv Lavi 2017-02-15 04:51:19 EST
This is a major issue on bond usage in Cockpit in the RHV hypervisor.
Can we propose this to z stream?
Comment 4 Beniamino Galvani 2017-02-24 05:24:11 EST
Pushed upstream branch bg/slaves-order-rh1420708 for review.
Comment 7 Lubomir Rintel 2017-03-02 14:22:51 EST
The branch LGTM
Comment 9 Beniamino Galvani 2017-03-04 03:56:21 EST
*** Bug 1387506 has been marked as a duplicate of this bug. ***
Comment 10 Thomas Haller 2017-03-04 10:06:26 EST
(In reply to Beniamino Galvani from comment #4)
> Pushed upstream branch bg/slaves-order-rh1420708 for review.

lgtm
Comment 14 Beniamino Galvani 2017-03-23 08:44:48 EDT
As stated here [1], initscripts simply ignore interfaces that appear
too late in the boot process and thus any late slave device will not
even be activated. NM works better in this situation because it
activates the slave when it appears, but of course it can't guarantee
the order of activation. For such corner cases, the suggested solution
is to set a fixed MAC address on the bond.

To wrap this up, I would merge bg/slaves-order-rh1420708 so that at
least we have an activation order consistent with initscripts in most
of the cases.

[1] https://bugzilla.redhat.com/show_bug.cgi?id=1060330#c35
Comment 15 Francesco Giudici 2017-03-27 05:38:55 EDT
lgtm
Comment 18 Yaniv Lavi 2017-05-02 10:25:55 EDT
Can you please clone this one?
Comment 19 Beniamino Galvani 2017-05-04 05:11:33 EDT
(In reply to Yaniv Dary from comment #18)
> Can you please clone this one?

Do you want this to be cloned for 7.3.z? As stated in comment 5 and comment 8, we don't think this change is suitable for z-stream inclusion.
Comment 20 errata-xmlrpc 2017-08-01 05:22:07 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2299

Note You need to log in before you can comment on or make changes to this bug.